ustrzcat(3)

NAME
ustrzcat - Concatenates a string to another one, specifying size. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *ustrzcat(char *dest, int size, const char *src);

DESCRIPTION
This function concatenates `src' to the end of `dest', whose length in bytes is specified by `size' and which is guaranteed to be null-terminated even when `src' is bigger than `size'. Note that, even for empty strings, your destination string must have at least enough bytes to store the terminating null character of the string, and your parameter `size' must reflect this. Otherwise, the debug version of Allegro will abort at an assertion, and the release version of Allegro will overrun the destination buffer.

RETURN VALUE
Returns the value of `dest'.

SEE ALSO
uconvert(3), ustrcat(3), ustrzncat(3), exgui(3)